{"openapi":"3.0.4","info":{"title":"List Custodian Accounts","description":"List the custodian accounts in a Transaction Portfolios","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/custodianaccounts":{"get":{"tags":["Transaction Portfolios"],"summary":"List Custodian Accounts","description":"List the custodian accounts in a Transaction Portfolios","operationId":"ListCustodianAccounts","parameters":[{"name":"scope","in":"path","description":"The scope of the Transaction Portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the Transaction Portfolio. Together with the scope this uniquely identifies\r\n            the Transaction Portfolios.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"effectiveAt","in":"query","description":"The effective datetime or cut label at which to list the TimeVariant properties decorated on Custodian Accounts. Defaults to the current LUSID\r\n            system datetime if not specified.","schema":{"type":"string","format":"dateorcutlabel"}},{"name":"asAt","in":"query","description":"The asAt datetime at which to retrieve the instrument. Defaults to\r\n            returning the latest version if not specified.","schema":{"type":"string","format":"date-time"},"x-nullable":true},{"name":"page","in":"query","description":"The pagination token to use to continue listing custodian accounts; this\r\n            value is returned from the previous call. If a pagination token is provided, the filter, effectiveAt\r\n            and asAt fields must not have changed since the original request.","schema":{"maxLength":500,"minLength":1,"pattern":"^[a-zA-Z0-9\\+/]*={0,3}$","type":"string"}},{"name":"limit","in":"query","description":"When paginating, limit the results to this number. Defaults to 100 if not specified.","schema":{"maximum":5000,"minimum":1,"type":"integer","format":"int32"},"x-nullable":true},{"name":"filter","in":"query","description":"Expression to filter the results.\r\n            For example, to filter on the Custodian Account type, specify \"code eq '001'\". For more information about filtering\r\n            results, see https://support.lusid.com/knowledgebase/article/KA-01914.","schema":{"maxLength":16384,"minLength":0,"pattern":"^[\\s\\S]*$","type":"string"}},{"name":"propertyKeys","in":"query","description":"A list of property keys from the 'CustodianAccount' domain to decorate onto the Custodian Account.\r\n            These must have the format {domain}/{scope}/{code}, for example 'CustodianAccount/system/Name'.","schema":{"type":"array","items":{"type":"string","description":"The key that uniquely identifies the property. It has the format {domain}/{scope}/{code}."}},"x-nullable":true}],"responses":{"200":{"description":"The custodian accounts in the given Transaction Portfolios.","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfCustodianAccount"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfCustodianAccount"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/PagedResourceListOfCustodianAccount"}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}